package com.ruoyi.mall.service;

import com.ruoyi.mall.domain.Bo.StaticReportItemBo;
import com.ruoyi.mall.domain.Bo.staticDataBo;
import com.ruoyi.mall.domain.Vo.StaticDataVo;

import java.util.List;
import java.util.Map;

/**
 * 后台统计图
 */
public interface StaticDataService {
    //来源渠道占比
    Map<String,Long> getIntroFree(staticDataBo staticData);
    //会员统计占比
    Map<String,Long> getYLife(staticDataBo staticData);
    //学校填报统计
    StaticDataVo getSchool(staticDataBo staticData);
    //专业填报统计
    StaticDataVo getMajor(staticDataBo staticData);
}
